# melcom's FFmpeg Audio Normalizer

**Version:** 2.0.1

## Description
This tool allows you to normalize and analyze audio files using FFmpeg. It offers a modern, intuitive graphical user interface (GUI) developed in Python with Tkinter for easy file selection and processing.

## Usage Instructions
1. Ensure that the `ffmpeg.exe` file is located in a folder that the program can access. Either in the same folder as the tool, or the path to the FFmpeg folder is correctly set in Options (File -> Options).
2. Run the `.exe` file.
3. Select an audio file (WAV, MP3, FLAC, AAC, OGG) using the "Browse" button.
4. Optionally configure the normalization options (LUFS Preset, Target LUFS, True Peak Preset, True Peak Value, Output Format) in the GUI.
5. Click "Start Normalization" or "Analyze Audio File" to start the process.
6. Monitor the progress in the progress bar and the process information field.

## Key New Features in Version 2.x

* **Completely New Program Base & Graphical User Interface (GUI):** Modernized with Python and Tkinter for improved user-friendliness and cross-platform compatibility.
* **New Function: Audio File Analysis:** Analyze audio files before normalization and display analysis results (LUFS, True Peak, LRA) in the GUI.
* **Extended Normalization Options:** Adjustable True Peak target values, True Peak presets, and output format selection (WAV, MP3, FLAC, AAC, OGG).
* **Improved User Guidance:** Modern progress indicator, more detailed process information, MessageBox notifications.
* **Extended Log File Functionality:** Separate log file for analysis, more detailed log output, log rolling, and "Store only one log entry per process" option.

## License
This tool is provided under the MIT License. See `LICENSE.txt` for more information.